Hardware and software requirements

You must use specific minimum hardware and software to use online banking. For the best experience, you should use the recommended hardware and software. For the latest information about the hardware and software requirements, please contact us.

If you try to log in without a recommended browser, online banking may direct you to either a version of online banking that is compatible with your browser or to a website to download a new browser version.

Supported Browsers

These desktop browsers are currently supported for the full online banking experience:

  • Chrome – versions 27 and up
  • Internet Explorer – versions 9 and up
  • Firefox – versions 21 and up
  • Safari – versions 5 and up
  • Opera – versions 20-24

All mobile browsers should be supported. If you are having trouble logging in on a phone or tablet, please contact Member Services.